package com.example.ueberwachungssystem;

import static java.lang.Boolean.TRUE;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private Logger logger;
    private Context context;
    //private Accelerometer beschleunigungssensor;
    private ThreadDemo threadDemo;
    private TextView textViewLog;
    private TextView textViewWorkerThread;

    //private WorkerUsingThread workerUsingThread;
    ToggleButton toggleButton1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setTitle(this.getClass().getSimpleName());
        setContentView(R.layout.activity_main);

        // Logger setup
        textViewLog = (TextView) findViewById(R.id.textViewLog);
        logger = new Logger(this.getClass().getSimpleName(), textViewLog, "");

        toggleButton1 = (ToggleButton) findViewById(R.id.toggleButton1); //togglebutton um Thread zu steuern
        toggleButton1.setOnClickListener(this);
        textViewWorkerThread = (TextView) findViewById(R.id.textViewWorkerThread); //TextView um Thread zu überwachen
        // beschleunigungssensor = new Accelerometer(this);
        threadDemo = new ThreadDemo(this, textViewWorkerThread);
        logger.log("onCreate");
    }

   @Override
    protected void onResume() {
        super.onResume();
    }
    @Override
    protected void onPause() {
        super.onPause();
        //beschleunigungssensor.stop();
        threadDemo.stop();

    }


    @Override
    public void onClick(View v) {
        logger.log("toggleButton1 is clicked");
        if (toggleButton1.isChecked()) {
            logger.log("ToggleButton is ON");
            //beschleunigungssensor.start();
            threadDemo.start();
        } else {
            logger.log("ToggleButton is OFF");
            threadDemo.stop();
        }
    }
}